PDA

View Full Version : How do I add .net 4.0 as a pre requirement?



diverdan
05-02-2010, 05:58 AM
Hi there,
I have just purchased install shield 2010 express and have tried to create a setup project however there is no .net 4.


How can I add this in as a pre requirement and include it into the setup project?



Any assistance would be great!

azad_khan
05-03-2010, 01:01 AM
Hi,

You can download .net framework from net and add it to the On the Tools menu, click Prerequisite Editor.

After that you need to define

The following tabs are associated with the InstallShield Prerequisite Editor:

Properties :- Not required
Conditions :- Check the registry for .net 4.0
Files to Include : Location of .net 4.0 setup
Application to Run :- Options how to run this prerequisite
Behavior :- Check for the option given in Installshiled
Dependencies :- Check for the option given in Installshiled.

Hope you may get some help from this .....

diverdan
05-04-2010, 04:03 AM
Hi azad_khan,

Thanks for your response.

I dont have "Prerequisite " in the tools menu. I only have
Open Release Folder
Create Quick Path
Check for updates
Redistributable downloader
Customize
Options



Should I be looking somewhere else?

DebbieL
05-04-2010, 07:50 AM
The Express edition of InstallShield does not have the InstallShield Prerequisite Editor; only the Premier and Professional editions have this tool.

We should have .NET Framework 4 prerequisites available soon. You'll see an update through FlexNet Connect as soon as the download is ready. You can also subscribe to the Read Me First sticky thread (http://community.flexerasoftware.com/showthread.php?t=188641) in this forum. (We'll post an announcement about the prerequisites in that thread as soon as they are ready.)

MarkI42
05-04-2010, 03:48 PM
Hi Debbie,

can you provide a rough timeframe on what "soon" actually is?

I understand you can't tell us a specific date, but are we talking about a couple of days, two weeks, a month, two months?

Many thanks.

Cheers,
M.

DebbieL
05-06-2010, 12:11 PM
Sorry for the delay! The .NET Framework 4 prerequisites are available through an expansion pack. The following KB article has the download, plus additional information:
Q209084 (http://support.installshield.com/kb/view.asp?articleid=Q209084)